package com.ruoyi.kaohe.mapper;

import java.util.List;
import com.ruoyi.kaohe.domain.KhKhrwResult;

/**
 * 考核结果Mapper接口
 * 
 * @author hs
 * @date 2025-07-05
 */
public interface KhKhrwResultMapper 
{
    /**
     * 查询考核结果
     * 
     * @param id 考核结果主键
     * @return 考核结果
     */
    public KhKhrwResult selectKhKhrwResultById(Long id);

    /**
     * 查询考核结果列表
     * 
     * @param khKhrwResult 考核结果
     * @return 考核结果集合
     */
    public List<KhKhrwResult> selectKhKhrwResultList(KhKhrwResult khKhrwResult);

    /**
     * 新增考核结果
     * 
     * @param khKhrwResult 考核结果
     * @return 结果
     */
    public int insertKhKhrwResult(KhKhrwResult khKhrwResult);

    /**
     * 修改考核结果
     * 
     * @param khKhrwResult 考核结果
     * @return 结果
     */
    public int updateKhKhrwResult(KhKhrwResult khKhrwResult);

    /**
     * 删除考核结果
     * 
     * @param id 考核结果主键
     * @return 结果
     */
    public int deleteKhKhrwResultById(Long id);

    /**
     * 批量删除考核结果
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKhKhrwResultByIds(Long[] ids);
}
